# FoundationClasses
TKMath
Poly

# Poly_CoherentTriangulation::IteratorOfTriangle Class Reference

`#include <Poly_CoherentTriangulation.hxx>`

## Public Member Functions

Standard_EXPORT | IteratorOfTriangle (const Handle_Poly_CoherentTriangulation &theTri)
| Constructor.
virtual Standard_EXPORT void | Next ()
| Make step.

## Detailed Description

Subclass Iterator - allows to iterate all triangles skipping those that have been removed.

## Constructor & Destructor Documentation

Standard_EXPORT Poly_CoherentTriangulation::IteratorOfTriangle::IteratorOfTriangle | ( | const Handle_Poly_CoherentTriangulation & | theTri | ) |

## Member Function Documentation

virtual Standard_EXPORT void Poly_CoherentTriangulation::IteratorOfTriangle::Next | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- Poly_CoherentTriangulation.hxx